﻿using Syncfusion.SfAutoComplete.XForms;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using Xamarin.Forms;
using System.Collections.ObjectModel;

namespace AutoComplete128205
{
	public partial class AutoComplete128205Page : ContentPage
	{
        public ObservableCollection<Person> personCollection;

		public AutoComplete128205Page()
		{
			InitializeComponent();
           
            personCollection = new ObservableCollection<Person>();
            
            for (int i = 0; i < 100; i++)
            {
                if (i == 10 | i == 20 | i == 30 | i == 50 | i == 90)
                {
                    //twice --- 
                    personCollection.Add(new Person("Item" + i.ToString(),i));
                }
                personCollection.Add(new Person("Item" + i.ToString(),i));
            }

            auto7.BatchBegin();
            auto7.DataSource = personCollection;
            auto7.BatchCommit();
        }

        public class Person 
        {
            public Person(String _name, int _age)
            {
                this.Name = _name;
                this.Age = _age;
            }
            public string Name { get; set; }
            public int Age { get; set; }
        }

        private void auto7_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
                selectvaluePath.Text = e.Value;
                selectedIndex.Text = auto7.SelectedValue;
        }
    }


}
